<?xml version="1.0"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" 
               "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
<refentry id="libXsettings-client-xsettings-common">
<refmeta>
<refentrytitle>xsettings-common</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>LIBXSETTINGS-CLIENT Library</refmiscinfo>
</refmeta>

<refnamediv>
<refname>xsettings-common</refname><refpurpose></refpurpose>
</refnamediv>

<refsynopsisdiv><title>Synopsis</title>

<synopsis>



            <link linkend="XSettingsBuffer">XSettingsBuffer</link>;
            <link linkend="XSettingsColor">XSettingsColor</link>;
            <link linkend="XSettingsList">XSettingsList</link>;
            <link linkend="XSettingsSetting">XSettingsSetting</link>;
enum        <link linkend="XSettingsType">XSettingsType</link>;
enum        <link linkend="XSettingsResult">XSettingsResult</link>;
<link linkend="XSettingsSetting">XSettingsSetting</link>* <link linkend="xsettings-setting-copy">xsettings_setting_copy</link>    (<link linkend="XSettingsSetting">XSettingsSetting</link> *setting);
<link linkend="void">void</link>        <link linkend="xsettings-setting-free">xsettings_setting_free</link>          (<link linkend="XSettingsSetting">XSettingsSetting</link> *setting);
<link linkend="int">int</link>         <link linkend="xsettings-setting-equal">xsettings_setting_equal</link>         (<link linkend="XSettingsSetting">XSettingsSetting</link> *setting_a,
                                             <link linkend="XSettingsSetting">XSettingsSetting</link> *setting_b);
<link linkend="void">void</link>        <link linkend="xsettings-list-free">xsettings_list_free</link>             (<link linkend="XSettingsList">XSettingsList</link> *list);
<link linkend="XSettingsList">XSettingsList</link>* <link linkend="xsettings-list-copy">xsettings_list_copy</link>          (<link linkend="XSettingsList">XSettingsList</link> *list);
<link linkend="XSettingsResult">XSettingsResult</link> <link linkend="xsettings-list-insert">xsettings_list_insert</link>       (<link linkend="XSettingsList">XSettingsList</link> **list,
                                             <link linkend="XSettingsSetting">XSettingsSetting</link> *setting);
<link linkend="XSettingsSetting">XSettingsSetting</link>* <link linkend="xsettings-list-lookup">xsettings_list_lookup</link>     (<link linkend="XSettingsList">XSettingsList</link> *list,
                                             const <link linkend="char">char</link> *name);
<link linkend="XSettingsResult">XSettingsResult</link> <link linkend="xsettings-list-delete">xsettings_list_delete</link>       (<link linkend="XSettingsList">XSettingsList</link> **list,
                                             const <link linkend="char">char</link> *name);
<link linkend="char">char</link>        <link linkend="xsettings-byte-order">xsettings_byte_order</link>            (void);
#define     <link linkend="XSETTINGS-PAD:CAPS">XSETTINGS_PAD</link>                   (n,m)
</synopsis>
</refsynopsisdiv>









<refsect1>
<title>Description</title>
<para>

</para>
</refsect1>

<refsect1>
<title>Details</title>
<refsect2>
<title><anchor id="XSettingsBuffer"/>XSettingsBuffer</title>
<indexterm><primary>XSettingsBuffer</primary></indexterm><programlisting>typedef struct {
  char byte_order;
  size_t len;
  unsigned char *data;
  unsigned char *pos;
} XSettingsBuffer;
</programlisting>
<para>

</para></refsect2>
<refsect2>
<title><anchor id="XSettingsColor"/>XSettingsColor</title>
<indexterm><primary>XSettingsColor</primary></indexterm><programlisting>typedef struct {
  unsigned short red, green, blue, alpha;
} XSettingsColor;
</programlisting>
<para>

</para></refsect2>
<refsect2>
<title><anchor id="XSettingsList"/>XSettingsList</title>
<indexterm><primary>XSettingsList</primary></indexterm><programlisting>typedef struct {
  XSettingsSetting *setting;
  XSettingsList *next;
} XSettingsList;
</programlisting>
<para>

</para></refsect2>
<refsect2>
<title><anchor id="XSettingsSetting"/>XSettingsSetting</title>
<indexterm><primary>XSettingsSetting</primary></indexterm><programlisting>typedef struct {
  char *name;
  XSettingsType type;
  
  union {
    int v_int;
    char *v_string;
    XSettingsColor v_color;
} XSettingsSetting;
</programlisting>
<para>

</para></refsect2>
<refsect2>
<title><anchor id="XSettingsType"/>enum XSettingsType</title>
<indexterm><primary>XSettingsType</primary></indexterm><programlisting>typedef enum 
{
  XSETTINGS_TYPE_INT     = 0,
  XSETTINGS_TYPE_STRING  = 1,
  XSETTINGS_TYPE_COLOR   = 2,
  XSETTINGS_TYPE_NONE    = 0xff
} XSettingsType;
</programlisting>
<para>

</para></refsect2>
<refsect2>
<title><anchor id="XSettingsResult"/>enum XSettingsResult</title>
<indexterm><primary>XSettingsResult</primary></indexterm><programlisting>typedef enum
{
  XSETTINGS_SUCCESS,
  XSETTINGS_NO_MEM,
  XSETTINGS_ACCESS,
  XSETTINGS_FAILED,
  XSETTINGS_NO_ENTRY,
  XSETTINGS_DUPLICATE_ENTRY
} XSettingsResult;
</programlisting>
<para>

</para></refsect2>
<refsect2>
<title><anchor id="xsettings-setting-copy"/>xsettings_setting_copy ()</title>
<indexterm><primary>xsettings_setting_copy</primary></indexterm><programlisting><link linkend="XSettingsSetting">XSettingsSetting</link>* xsettings_setting_copy    (<link linkend="XSettingsSetting">XSettingsSetting</link> *setting);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>setting</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="xsettings-setting-free"/>xsettings_setting_free ()</title>
<indexterm><primary>xsettings_setting_free</primary></indexterm><programlisting><link linkend="void">void</link>        xsettings_setting_free          (<link linkend="XSettingsSetting">XSettingsSetting</link> *setting);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>setting</parameter>&nbsp;:</term>
<listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="xsettings-setting-equal"/>xsettings_setting_equal ()</title>
<indexterm><primary>xsettings_setting_equal</primary></indexterm><programlisting><link linkend="int">int</link>         xsettings_setting_equal         (<link linkend="XSettingsSetting">XSettingsSetting</link> *setting_a,
                                             <link linkend="XSettingsSetting">XSettingsSetting</link> *setting_b);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>setting_a</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>setting_b</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="xsettings-list-free"/>xsettings_list_free ()</title>
<indexterm><primary>xsettings_list_free</primary></indexterm><programlisting><link linkend="void">void</link>        xsettings_list_free             (<link linkend="XSettingsList">XSettingsList</link> *list);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>list</parameter>&nbsp;:</term>
<listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="xsettings-list-copy"/>xsettings_list_copy ()</title>
<indexterm><primary>xsettings_list_copy</primary></indexterm><programlisting><link linkend="XSettingsList">XSettingsList</link>* xsettings_list_copy          (<link linkend="XSettingsList">XSettingsList</link> *list);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>list</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="xsettings-list-insert"/>xsettings_list_insert ()</title>
<indexterm><primary>xsettings_list_insert</primary></indexterm><programlisting><link linkend="XSettingsResult">XSettingsResult</link> xsettings_list_insert       (<link linkend="XSettingsList">XSettingsList</link> **list,
                                             <link linkend="XSettingsSetting">XSettingsSetting</link> *setting);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>list</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>setting</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="xsettings-list-lookup"/>xsettings_list_lookup ()</title>
<indexterm><primary>xsettings_list_lookup</primary></indexterm><programlisting><link linkend="XSettingsSetting">XSettingsSetting</link>* xsettings_list_lookup     (<link linkend="XSettingsList">XSettingsList</link> *list,
                                             const <link linkend="char">char</link> *name);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>list</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="xsettings-list-delete"/>xsettings_list_delete ()</title>
<indexterm><primary>xsettings_list_delete</primary></indexterm><programlisting><link linkend="XSettingsResult">XSettingsResult</link> xsettings_list_delete       (<link linkend="XSettingsList">XSettingsList</link> **list,
                                             const <link linkend="char">char</link> *name);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>list</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="xsettings-byte-order"/>xsettings_byte_order ()</title>
<indexterm><primary>xsettings_byte_order</primary></indexterm><programlisting><link linkend="char">char</link>        xsettings_byte_order            (void);</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><emphasis>Returns</emphasis>&nbsp;:</term><listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2>
<title><anchor id="XSETTINGS-PAD:CAPS"/>XSETTINGS_PAD()</title>
<indexterm><primary>XSETTINGS_PAD</primary></indexterm><programlisting>#define     XSETTINGS_PAD(n,m)</programlisting>
<para>

</para><variablelist role="params">
<varlistentry><term><parameter>n</parameter>&nbsp;:</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>m</parameter>&nbsp;:</term>
<listitem><simpara>


</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>




</refentry>
